Agents
Delete a campaign agent
Soft-delete a Campaign Manager agent. Agents with active campaigns are rejected until those campaigns finish, are cancelled, or are archived.
DELETE
/
api
/
v1
/
account
/
{account_id}
/
campaign
/
agents
/
{agent_id}
Delete a campaign agent
curl --request DELETE \
--url https://api.vobiz.ai/api/v1/account/{account_id}/campaign/agents/{agent_id} \
--header 'X-Auth-ID: <x-auth-id>' \
--header 'X-Auth-Token: <api-key>'import requests
url = "https://api.vobiz.ai/api/v1/account/{account_id}/campaign/agents/{agent_id}"
headers = {
"X-Auth-ID": "<x-auth-id>",
"X-Auth-Token": "<api-key>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'X-Auth-ID': '<x-auth-id>', 'X-Auth-Token': '<api-key>'}
};
fetch('https://api.vobiz.ai/api/v1/account/{account_id}/campaign/agents/{agent_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));DELETE https://api.vobiz.ai/api/v1/account/{account_id}/campaign/agents/{agent_id}
Authentication required
X-Auth-ID— your Vobiz account IDX-Auth-Token— your Vobiz auth token
string
required
Your Vobiz account ID. Use the same value in
X-Auth-ID.string
required
Your Vobiz account ID, for example
MA_XXXXXXXX.string
required
ID of the agent, returned by Create an agent.
Example
cURL
curl -X DELETE \
"https://api.vobiz.ai/api/v1/account/{account_id}/campaign/agents/{agent_id}" \
-H "X-Auth-ID: {account_id}" \
-H "X-Auth-Token: {auth_token}"
Was this page helpful?
⌘I
Delete a campaign agent
curl --request DELETE \
--url https://api.vobiz.ai/api/v1/account/{account_id}/campaign/agents/{agent_id} \
--header 'X-Auth-ID: <x-auth-id>' \
--header 'X-Auth-Token: <api-key>'import requests
url = "https://api.vobiz.ai/api/v1/account/{account_id}/campaign/agents/{agent_id}"
headers = {
"X-Auth-ID": "<x-auth-id>",
"X-Auth-Token": "<api-key>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'X-Auth-ID': '<x-auth-id>', 'X-Auth-Token': '<api-key>'}
};
fetch('https://api.vobiz.ai/api/v1/account/{account_id}/campaign/agents/{agent_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));